Ticket #38424

fontspec 2.6h

Open Date: 2018-07-31 09:43 Last Update: 2018-08-03 13:58

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed

Details

2018-07-29 に fontspec パッケージ が v2.6h に更新されました.この更新では内部命令でローカル↔グローバルの変更があるので,LuaTeX-ja 20180728.0 では動作しなくなっています.

kitagawa_test ブランチの commit 52b8ab89 で最低限エラーが起こらないような変更をしました(数日中に LuaTeX-ja の更新版をリリース予定です)が,他にも何か変なことが起こりましたらこのチケットに報告してください.

Attachment File List

No attachments

Ticket History (3/11 Histories)

2018-07-31 09:43 Updated by: h7k
  • New Ticket "fontspec 2.6h" created
2018-07-31 15:04 Updated by: kmaeda
Comment

試してみたところ,エラーは出なくなりましたが,まともに使えないように見えます.

  1. \documentclass{article}
  2. \usepackage{luatexja-fontspec}
  3. \setmainjfont{SourceHanSerifJP}
  4. \begin{document}
  5. あああ\textbf{あああ}
  6. \end{document}
などとしても IPAexMincho のままです.次のような Warning が出ています.
LaTeX Font Warning: Font shape `JT3//m/n' undefined
(Font)              using `JT3/mc/m/n' instead on input line 4.


LaTeX Font Warning: Font shape `JY3//m/n' undefined
(Font)              using `JY3/mc/m/n' instead on input line 4.
...

2018-07-31 15:57 Updated by: h7k
Comment

\l_fontspec_family_tl が正しく設定されていないのが原因で,それはどうやら以下のように luatexja-fontspec の中で fontspec 本来のコードをグループ内で動かしていることに関わりがありそうです.

\cs_new_protected:Nn \ltj_fontspec_select_font_family:nn {
  \group_begin:
  ... % この中で \l_fontspec_family_tl がローカルに設定
  \group_end:
  % ここではもう無効に
}

29c1263 で \aftergroup を利用して \l_fontspec_family_tl をグループ外でも定義するようにしてみました. font feature とかのチェックはまだですが,とりあえずは上のコメントにあるソースは動くようになったと思います(こちらでは小塚で動作チェック).

2018-07-31 16:09 Updated by: kmaeda
Comment

ぱっと見た感じでは問題なさそうになりました.ありがとうございました.

2018-07-31 17:59 Updated by: h7k
Comment

\addjfontfeature が動かなかったので commit 77969646 でさらに修正しました(それでもまだ変なところあるかも?). \g_fontspec_nfss_family_tl とファミリ名がグルーバルになっているのもまた厄介.

2.6g 以前とのコードの差異が大きくなってきたので,2.6g 以前のための luatexja-fontspec-25c.sty をまた復活させるつもりです.

2018-08-02 09:48 Updated by: h7k
Comment

明日 20180803.0 をリリースする予定です. platex/2018-07-28 の \fixcompositeaccent はいつかは取り入れないといけませんが,間に合うか微妙です.

2018-08-02 15:13 Updated by: kmaeda
Comment

luatexja を読み込んだ状態で fontspec v2.6h を使うと,-- がenダッシュにならないようです. v2.6g ではenダッシュになっていたのですが.

  1. \documentclass{article}
  2. \usepackage{luatexja}
  3. \usepackage{fontspec}
  4. \setmainfont{TeXGyreTermes}
  5. \begin{document}
  6. -- –
  7. \end{document}

2018-08-02 15:34 Updated by: h7k
Comment

たしかに, \usepackage{luatexja} すると欧文フォントの定義で+tlig;(これが -- を en ダッシュにする“font feature})が抜け落ちますね,なぜだろう.

2018-08-02 15:46 Updated by: h7k
Comment

commit 06e6f18 でなんとかなったかな?

2018-08-02 15:55 Updated by: kmaeda
Comment

なんとかなっているように見えます.

2018-08-03 13:58 Updated by: h7k
  • Status Update from Open to Closed
  • Owner Update from (None) to h7k
  • Resolution Update from None to Fixed
Comment

20180803.0 を出しました.一旦完了にしますが,何かあったら再オープンしましょう.

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login